# PharData::setAlias

(PHP 5 >= 5.3.0, PHP 7, PECL phar >= 2.0.0)

PharData::setAlias — Dummy function (Phar::setAlias is not valid for PharData)

### Description

PharData::setAlias ( string `$alias` ) : bool

Non-executable tar/zip archives cannot have an alias, so this method simply throws an exception.

### Parameters

`alias`

  A shorthand string that this archive can be referred to in phar stream wrapper access. This parameter is ignored.

### Return Values

### Errors/Exceptions

Throws PharException on all method calls

### See Also

- Phar::setAlias() - Set the alias for the Phar archive